## GstValidateReporter GstValidateReporter — A GInterface that allows GObject to be used as originator of issues in the GstValidate reporting system |

## Functions

#define | GST_VALIDATE_REPORT()
void | gst_validate_reporter_set_handle_g_logs ()
void | gst_validate_report ()
gint | gst_validate_reporter_get_reports_count ()

## Properties

GstValidateRunner * | validate-runner | Read / Write / Construct Only

## Types and Values

| GstValidateReporter

## Object Hierarchy

        GInterface
        ╰── GstValidateReporter

## Prerequisites

GstValidateReporter requires GObject.

## Known Implementations

GstValidateReporter is implemented by GstValidateScenario.

## Description

## Functions

### GST_VALIDATE_REPORT()

    #define             GST_VALIDATE_REPORT(m, issue_id, ...)

Reports a new issue in the GstValidate reporting system with `m` as the source of that issue.

#### Parameters

m | The GstValidateReporter where the issue happened |
issue_id | The GstValidateIssueId of the issue |
... | The format of the message describing the issue in a printf format, followed by the parameters. |

### gst_validate_reporter_set_handle_g_logs ()

    void
    gst_validate_reporter_set_handle_g_logs
                                   (GstValidateReporter *reporter);

Set `reporter` has the 'source' of any g_log happening during the execution. Usually the monitor of the first GstPipeline is used to handle g_logs.

Basically this function is used in order to start tracking any issue reported with g_log in the process into GstValidate report in the GstValidate reporting system.

#### Parameters

reporter | The GstValidateReporter to set has the handler for g_log |

### gst_validate_report ()

    void
    gst_validate_report (GstValidateReporter *reporter,
                         GstValidateIssueId issue_id,
                         const gchar *format,
                         ...);

Reports a new issue in the GstValidate reporting system with `m` as the source of that issue.

You can also use GST_VALIDATE_REPORT instead.

#### Parameters

reporter | The source of the new report |
issue_id | The GstValidateIssueId of the issue |
format | The format of the message describing the issue in a printf format followed by the parameters. |
... | Substitution arguments for `format` |

### gst_validate_reporter_get_reports_count ()

    gint
    gst_validate_reporter_get_reports_count
                                   (GstValidateReporter *reporter);

Get the number of reports present in the reporter.

#### Parameters

reporter | a GstValidateReporter |

#### Returns

the number of reports currently present in `reporter` .

## Types and Values

### GstValidateReporter

    typedef struct _GstValidateReporter GstValidateReporter;

## Property Details

### The `“validate-runner”` property

      “validate-runner”          GstValidateRunner *

The Validate runner to report errors to.

Flags: Read / Write / Construct Only